#!../../bin/linux-x86/sinqEPICS

## This is for ORION
## You may have to change sinqEPICS to something else
## everywhere it appears in this file


< envPaths

cd ${TOP}

## Register all support components
dbLoadDatabase "dbd/sinqEPICS.dbd"
dbLoadDatabase "dbd/sinq.dbd"
sinqEPICS_registerRecordDeviceDriver pdbbase

## Load record instances
#dbLoadRecords("db/xxx.db","user=koenneckeHost")

#---------- load Delta Tau MCU
#pmacAsynIPConfigure("mcu1","localhost:8080")
pmacAsynIPConfigure("mcu1","orion-mcu1:1025")
pmacCreateController("mota","mcu1",0,8,50,10000);
pmacCreateAxes("mota",8);

dbLoadRecords("$(ASYN)/db/asynRecord.db","P=OR:,R=mcu1,PORT=mcu1,ADDR=0,OMAX=80,IMAX=80")


cd ${TOP}/iocBoot/${IOC}
dbLoadTemplate "motor.substitutions.orion"


#--------- load EL737 counter box
#drvAsynIPPortConfigure("cter1","orion-ts:3002",0,0,0)
#dbLoadRecords("$(ASYN)/db/asynRecord.db","P=OZ:,R=cter1,PORT=cter1,ADDR=0,OMAX=80,IMAX=80")
#dbLoadRecords("${TOP}/db/ORel737Record.db")

#asynSetTraceIOMask("cter1",0,2)

iocInit

## Start any sequence programs
#seq sncxxx,"user=koenneckeHost"
