#!../../bin/linux-x86-debug/sinqEPICS


## You may have to change sinqEPICS to something else
## everywhere it appears in this file

< envPaths

cd ${TOP}

## Register all support components
dbLoadDatabase "dbd/sinqEPICS.dbd"
#dbLoadDatabase "dbd/sinq.dbd"
sinqEPICS_registerRecordDeviceDriver pdbbase

## Load record instances
#dbLoadRecords("db/xxx.db","user=koenneckeHost")


#---------- load Nanotec motor controller
#drvAsynIPPortConfigure("serial1", "narziss-ts:3002",0,0,0)
drvAsynIPPortConfigure("serial1", "localhost:2020",0,0,0)
NanotecCreateController("nano","serial1",3,"1,10,9");

### Motors

dbLoadRecords("$(ASYN)/db/asynRecord.db","P=KM36:,R=serial1,PORT=serial1,ADDR=0,OMAX=80,IMAX=80")


#------------------------------------------------------------------------------
# DANGER              DANGER                DANGER
#
#If the gearing factor in the substitutions file is wrong, then the nanotec
# drives badly. Not really a surprise. Thus the following procedure is required:
#
# - After editing the gearing ratios in the substitutions file, drive each motor 
#   carefully for a small amount and check if it is driving the correct amount by
#   eye.
#------------------------------------------------------------------------------
cd ${TOP}/iocBoot/${IOC}
dbLoadTemplate "motor.substitutions.nanotec"


iocInit

## Start any sequence programs
#seq sncxxx,"user=koenneckeHost"
