#!../../bin/linux-x86-debug/sinqEPICS


## You may have to change sinqEPICS to something else
## everywhere it appears in this file

< envPaths

cd ${TOP}


epicsEnvSet("STREAM_PROTOCOL_PATH", "$(OXINSTCRYOJET)/protocol/")

## Register all support components
dbLoadDatabase "dbd/sinqEPICS.dbd"
#dbLoadDatabase "dbd/sinq.dbd"
sinqEPICS_registerRecordDeviceDriver pdbbase


#---------- 
drvAsynIPPortConfigure("serial1", "localhost:7020",0,0,0)

dbLoadRecords("$(ASYN)/db/asynRecord.db","P=KM36:,R=serial1,PORT=serial1,ADDR=0,OMAX=80,IMAX=80")

cd ${TOP}/iocBoot/${IOC}

dbLoadRecords("$(OXINSTCRYOJET)/db/MercuryiTC-SCPI.template","P=KM36:,Q=HG,PORT=serial1")

#-------------------------------------------------------------------------------------
# This might have worked but our Mercury Simulation simulates something different 
# then this is for.
#------------------------------------------------------------------------------------

iocInit

## Start any sequence programs
#seq sncxxx,"user=koenneckeHost"
