#!../../bin/linux-x86-debug/sinqEPICS


## You may have to change sinqEPICS to something else
## everywhere it appears in this file

epicsEnvSet("ARCH","linux-x86-debug")
epicsEnvSet("IOC","sinqEPICS")
epicsEnvSet("ASYN","/usr/local/epics/support/asyn-4-18")
epicsEnvSet("MOTOR","/usr/local/epics/support/motor-6-7")
epicsEnvSet("ANC","/usr/local/epics/anc350v17")
epicsEnvSet("EPICS_BASE","/usr/local/epics")

epicsEnvSet("TOP","/afs/psi.ch/project/sinqdev/sinqepicsapp/iocBoot/iocsinqEPICS")
epicsEnvSet("dbPATH","${EPICS_BASE}/dbd::${ASYN}/dbd:${MOTOR}/dbd:${ANC}/dbd")


cd ${TOP}

## Register all support components
dbLoadDatabase "../../dbd/sinqEPICS.dbd"
#dbLoadDatabase "dbd/sinq.dbd"
sinqEPICS_registerRecordDeviceDriver pdbbase

## Load record instances
#dbLoadRecords("db/xxx.db","user=koenneckeHost")


#---------- load Nanotec motor controller
#drvAsynIPPortConfigure("serial1", "narziss-ts:3002",0,0,0)
#drvAsynIPPortConfigure("serial1", "localhost:5050",0,0,0)
drvAsynIPPortConfigure("serial1", "localhost:8080",0,0,0)
PhytronCreateController("phy","serial1",1,1);

### Motors

dbLoadRecords("$(ASYN)/db/asynRecord.db","P=KM36:,R=serial1,PORT=serial1,ADDR=0,OMAX=80,IMAX=80")


cd ${TOP}/iocBoot/${IOC}
dbLoadTemplate "motor.substitutions.phytron"


iocInit

## Start any sequence programs
#seq sncxxx,"user=koenneckeHost"
