/*
  This is a version of the motor axis record which adds code for having an 
  text field with an error message to go with the motor. The code is 
  courtesey Torsten Boergershausen from ESS and from the axisRecord. 

  Mark Koennecke, March 2017
*/
#ifndef __SINQDRIVER
#define __SINQDRIVER
#include "asynMotorAxis.h"

class epicsShareClass SINQAxis : public asynMotorAxis 
{
 public:
  SINQAxis(class SINQController *pC_, int axis);
  asynStatus setStringParam(int function, const char *value);

  friend class SINQController;
  void updateMsgTxtFromDriver(const char *value);

 protected:
 private:
  SINQController *pC_;

};



#endif
 
